Name:           libwbxml
Version:        0.10.9
Release:        1%{?dist}
Summary:        Library and tools to parse, encode and handle WBXML documents
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            https://libwbxml.opensync.org/
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  cmake, expat-devel, perl
Obsoletes:      wbxml2 <= 0.9.3

%description
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce
bandwidth in mobile communications.

%package devel
Group:         Development/Libraries
Summary:       Development files of %{name}
Requires:      %{name}{?_isa} = %{version}-%{release}
Requires:      libxml2-devel, pkgconfig
Provides:      wbxml2-devel = %{version}-%{release}
Obsoletes:     wbxml2-devel <= 0.9.3

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
# no line terminator, add one
for F in BUGS THANKS; do
    sed -e '$a\' "$F" > "${F}.new"
    touch -r "$F"{,.new}
    mv "$F"{.new,}
done

%build
# Upstream does not support in-source-directory building
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd
make -C %{_target_platform} %{?_smp_mflags}

%install
make -C %{_target_platform} install/fast DESTDIR=$RPM_BUILD_ROOT
rm -r $RPM_BUILD_ROOT/usr/share/doc/%{name}

%check
cd %{_target_platform}
ctest

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING GNU-LGPL NEWS README References THANKS TODO
%{_bindir}/*
%{_libdir}/libwbxml2.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libwbxml2.so
%{_libdir}/pkgconfig/libwbxml2.pc

%changelog
* Tue Feb 08 2011 Petr Pisar <ppisar@redhat.com> - 0.10.9-1
- 0.10.9 bump
- Remove BuildRoot stuff
- Make devel subpackage ISA specific

* Tue Aug 10 2010 Petr Pisar <ppisar@redhat.com> - 0.10.8-1
- 0.10.8 import
- based on and obsoletes wbxml2-0.9.2-16
